FreeMat

- Main Page
- Related Pages

vtkPImageWriter

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPImageWriter writes images to files with any data type. The data type of the file is the same scalar type as the input. The dimensionality determines whether the data will be written in one or multiple files. This class is used as the superclass of most image writing classes such as vtkBMPWriter etc. It supports streaming.

To create an instance of class vtkPImageWriter, simply invoke its constructor as follows

      obj = vtkPImageWriter

# Methods

The class vtkPImageWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPImageWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPImageWriter = obj.NewInstance ()`
- `vtkPImageWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetMemoryLimit (long )` - Set / Get the memory limit in kilobytes. The writer will stream to attempt to keep the pipeline size within this limit
- `long = obj.GetMemoryLimit ()` - Set / Get the memory limit in kilobytes. The writer will stream to attempt to keep the pipeline size within this limit